Loading...
Searching...
No Matches
RGroupDecomp.h File Reference
`#include <RDGeneral/export.h>`
`#include "../RDKitBase.h"`
`#include "RGroupDecompParams.h"`
`#include <GraphMol/Substruct/SubstructMatch.h>`
`#include <chrono>`

Go to the source code of this file.

## Classes

struct | RDKit::RGroupDecompositionProcessResult
class | RDKit::UsedLabelMap
class | RDKit::RGroupDecomposition

## Namespaces

namespace | RDKit
| Std stuff.

## Typedefs

typedef std::map< std::string, ROMOL_SPTR > | RDKit::RGroupRow
typedef std::vector< ROMOL_SPTR > | RDKit::RGroupColumn
typedef std::vector< RGroupRow > | RDKit::RGroupRows
typedef std::map< std::string, RGroupColumn > | RDKit::RGroupColumns

## Functions

RDKIT_RGROUPDECOMPOSITION_EXPORT unsigned int | RDKit::RGroupDecompose (const std::vector< ROMOL_SPTR > &cores, const std::vector< ROMOL_SPTR > &mols, RGroupRows &rows, std::vector< unsigned int > *unmatched=nullptr, const RGroupDecompositionParameters &options=RGroupDecompositionParameters())
RDKIT_RGROUPDECOMPOSITION_EXPORT unsigned int | RDKit::RGroupDecompose (const std::vector< ROMOL_SPTR > &cores, const std::vector< ROMOL_SPTR > &mols, RGroupColumns &columns, std::vector< unsigned int > *unmatched=nullptr, const RGroupDecompositionParameters &options=RGroupDecompositionParameters())
bool | RDKit::checkForTimeout (const std::chrono::steady_clock::time_point &t0, double timeout, bool throwOnTimeout=true)